package com.kingdee.eas.custom.bd.param;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ParamFactory
{
    private ParamFactory()
    {
    }
    public static com.kingdee.eas.custom.bd.param.IParam getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.bd.param.IParam)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1C90B28B") ,com.kingdee.eas.custom.bd.param.IParam.class);
    }
    
    public static com.kingdee.eas.custom.bd.param.IParam getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.bd.param.IParam)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1C90B28B") ,com.kingdee.eas.custom.bd.param.IParam.class, objectCtx);
    }
    public static com.kingdee.eas.custom.bd.param.IParam getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.bd.param.IParam)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1C90B28B"));
    }
    public static com.kingdee.eas.custom.bd.param.IParam getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.bd.param.IParam)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1C90B28B"));
    }
}